GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
Get B2B InvoicesGET
GSTR6 Calculate R6POST
Save GSTR6 Cross ITC detailsPOST
Offset Liability GSTR6 Late feePUT
Save GSTR6 dataPUT
Get CDNR InvoicesGET
Get ISD DetailsGET
Get GSTR6 SummaryGET
Submit GSTR6 dataPOST
File GSTR6 dataPOST
File GSTR6 dataPOST
Get Late FeeGET
Get ITC DetailsGET
Get B2BA InvoicesGET
Get CDNRA InvoicesGET
Get Amendment ISD DetailsGET
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

Offset GSTR-6 Late Fee from Cash Ledger

PUThttps://apisandbox.whitebooks.in/gstr6/retoffsetlatefee

API call for Offset GSTR6 Late fee

Parameters

query parameters
emailstringrequired
User Email
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
gstinstringrequired
Supplier GSTIN
Example: "12cdfsdfsd"
ret_typestringrequired
Return type
Example: "R6"
ret_periodstringrequired
Return period
Example: "032020"
liab_idnumberrequired
Liability Id
Example: 20
tran_cdnumberrequired
Transaction code
Example: 20
cgstfeenumberrequired
CGST Latefee Amount
Example: 200
sgstfeenumberrequired
SGST Latefee Amount
Example: 300

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP PUT to /gstr6/retoffsetlatefee. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is required with mandatory top-level fields: cgstfee, gstin, liab_id, ret_period, ret_type, sgstfee, tran_cd.
For Offset Liability GSTR6 Late fee (PUT /gstr6/retoffsetlatefee), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
API call for Offset GSTR6 Late fee
PUT/gstr6/retoffsetlatefee
1const response = await fetch('https://apisandbox.whitebooks.in/gstr6/retoffsetlatefee?email=value', {
2 method: 'PUT',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "gstin": "12cdfsdfsd",
16 "ret_type": "R6",
17 "ret_period": "032020",
18 "liab_id": 20,
19 "tran_cd": 20,
20 "cgstfee": 200,
21 "sgstfee": 300
22}),
23});
24
25const data = await response.json();
26console.log(data);
No example available.